### Method

# GObject Value set_string

#### Declaration

    void
    g_value_set_string (
      GValue* value,
      const gchar* v_string
    )

#### Description

Set the contents of a `G_TYPE_STRING` `GValue` to a copy of `v_string`.

#### Parameters

`v_string`

  Type: `const gchar*`

  Caller-owned string to be duplicated for the `GValue`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.